[Plug-In] Community Applications


Recommended Posts

Hi all, just did my rounds of updates, 3 plugins, of which CA's was one, i did the updates, then got a strange error on the web pages (all of them) of a certain line cannot be blank..

i could click into other pages, but then nothing within that page. the error was on top of every screen. then after a few refreshes, found that CA had an update again, so i though oh it must have been a bugged release and its now been fixed, so i tried updating, and it says its updating but the message of an update available remained.

So i deleted the plugin and reinstalled it, no errors anymore, but when i load CA it shows the main page, with 'updating content in small writing and goes no further.

i have tried removing the plugin and installing, but this issue now remains

CA.thumb.jpg.b08f1de2cabbf973da56572dad18f1e9.jpg

i can click on the settings link and link to support, but links displaying available apps etc don't work.

also, in the settings, when clicking on the servers, the main server loads some JSON file but remains a screen full of text, but the backup server corrects itself to neat formatting, so maybe server error?

CA-stats.jpg.8501d35eaee394c2cc6519243cb800e2.jpg

CA-main.jpg.a06252c521fe6cd5a87aa4a2c142c15b.jpg

CA-backup.jpg.4005e34b62657c299895ded2e07ca273.jpg

 

Link to comment

I'm still getting the dreaded "Download of appfeed failed. .... Last JSON error Recorded: JSON Error: Syntax error" 

 

This happens 80-90% of the time.  Every once in a while, everything in CA just works, but most of the time, it simply doesn't.   Digging through php code, I can find the following URL:

 

https://raw.githubusercontent.com/Squidly271/AppFeed/master/applicationFeed.json
 

I can wget or curl this file just fine, and I can contact github.com, so the red herring of "you must have internet access; reboot router; hard code these DNS servers" isn't too helpful, and I've tried hard coding the suggested DNS servers to no avail.  Is there some other log I can dive into?  Syslog is not helpful in the slightest.  Latest plugin is installed, and I've tried removing and re-adding to no avail.  Just not enough information for me to debug.

 

Link to comment

I have a suggestion, not sure if this is where this goes or if there is another channel for requests. 

I really like this application as it makes it simple to install items on my server. One suggestion, I would love to see a rating system implemented where others along with myself could rate applications. Maybe even allow for reviews on why someone rated an app low or high. I think this would improve the Community Applications allowing others to see the programs ratings and if there are any issues with the app before installing the it from the interface. Not sure how hard this would be to add, but it'd be a nice added feature on an already awesome easy to use plugin.

 

Thanks,
Ross

 

Link to comment
2 minutes ago, rosswaters said:

I would love to see a rating system implemented where others along with myself could rate applications.

Can't justify to the wife why I would need to expense out of my own pocket the costs involved in getting a cloud server from cloudfare, AWS, etc.

Link to comment
On 9/8/2019 at 8:08 PM, Squid said:

Alternatively, disable pihole if youre running it and see if that makes a difference

Sent via telekinesis
 

FYI, there was an extra copy of libcurl that I needed for a different utility that was getting in the way of the system's copy of curl.  This was entirely my fault!

Link to comment

I get the following error everytime I try to install. I was successful installing before but I got this error on trying to update, and now when trying to reinstall I get it as well. Please help!

 


plugin: downloading: https://raw.githubusercontent.com/Squidly271/community.applications/master/archive/community.applications-2019.09.09-x86_64-1.txz ... failed (Generic error)
plugin: wget: https://raw.githubusercontent.com/Squidly271/community.applications/master/archive/community.applications-2019.09.09-x86_64-1.txz download failure (Generic error)

Link to comment
  • 2 weeks later...

I'm having the same issue as some of the UnRaid user on this post. I noticed that I'm only getting this error with all the linuxserver image. I went into their website and there is a message saying that  limetech Rename Unraid.net.xml to UnraidNet.xml. On my opinion I think this could be the reason why the dockers try to pull the new image but comes back with a 0 download. I was looking on my Unraid setting to see if there a way I can change it or update the repo. If anyone know how to do this I will really appreciate your help. 

Edited by eirizarry
Link to comment
I'm having the same issue as some of the UnRaid user on this post. I noticed that I'm only getting this error with all the linuxserver image. I went into their website and there is a message saying that  limetech Rename Unraid.net.xml to UnraidNet.xml. On my opinion I think this could be the reason why the dockers try to pull the new image but comes back with a 0 download. I was looking on my Unraid setting to see if there a way I can change it or update the repo. If anyone know how to do this I will really appreciate your help. 
What are you talking about?

If you have the upgrade always available, the fix is to install the auto update plugin.

If you have some problem with unraid.net plugin, then you've installed an incompatible plugin on your OS.

Sent from my NSA monitored device

Link to comment

Squid. What I was talking about was that on the linuxserver site, when I go into the Docker containers it shows the messages I wrote on my previous post. I have the auto update plugin installed and the UnRaid.net plugin I installed from here. If it’s wrong then someone post it a bad link on the UnRaid.net site. I’m doing a little bit of work inspection to see what’s causing the problem. What’s weird I’m only getting that update problem with all the linuxserver dockers. I don’t know why.

Link to comment
37 minutes ago, eirizarry said:

UnRaid.net plugin I installed from here.

The unRaid.net plugin isn't compatible with unRaid versions before 6.8, and isn't even ready for primetime yet.

 

39 minutes ago, eirizarry said:

that update problem with all the linuxserver dockers. I don’t know why.

The dockerHub guys changed the API with the result that unRaid always shows an update for most container always being available.  If the AutoUpdate plugin is up to date, then it patches the OS to fix this problem.

Link to comment
8 hours ago, eirizarry said:

Squid. What I was talking about was that on the linuxserver site, when I go into the Docker containers it shows the messages I wrote on my previous post. I have the auto update plugin installed and the UnRaid.net plugin I installed from here. If it’s wrong then someone post it a bad link on the UnRaid.net site. I’m doing a little bit of work inspection to see what’s causing the problem. What’s weird I’m only getting that update problem with all the linuxserver dockers. I don’t know why.

I don't see any messages on our site about unraid.xml. Can you give me a link?

Link to comment

I have been having issues with CA for some weeks, looks like I found the issue..

 

Installing CA (and i presume using it) sends requests to raw.githubusercontent.com . This site is blacklisted in pihole by default.

 

When reading what that url does it is a mystery to me why it is blacklisted to be honoust...

 

Anyone any idea ?  I have now whitelisted it and everything is fine again.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.